Browse Source

Sync with portage [Sun Dec 22 11:03:25 MSK 2019].

mhiretskiy 1542
root 3 years ago
parent
commit
27ccab8004
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. 0
      acct-group/milter-regex/Manifest
  4. 7
      acct-group/milter-regex/metadata.xml
  5. 9
      acct-group/milter-regex/milter-regex-0.ebuild
  6. 0
      acct-group/shellinaboxd/Manifest
  7. 12
      acct-group/shellinaboxd/metadata.xml
  8. 9
      acct-group/shellinaboxd/shellinaboxd-0.ebuild
  9. BIN
      acct-user/Manifest.gz
  10. 0
      acct-user/milter-regex/Manifest
  11. 9
      acct-user/milter-regex/metadata.xml
  12. 13
      acct-user/milter-regex/milter-regex-0.ebuild
  13. 0
      acct-user/shellinaboxd/Manifest
  14. 12
      acct-user/shellinaboxd/metadata.xml
  15. 12
      acct-user/shellinaboxd/shellinaboxd-0.ebuild
  16. BIN
      app-admin/Manifest.gz
  17. 2
      app-admin/sudo/Manifest
  18. 0
      app-admin/sudo/sudo-1.8.30_beta2.ebuild
  19. BIN
      app-benchmarks/Manifest.gz
  20. 2
      app-benchmarks/stress-ng/Manifest
  21. 2
      app-benchmarks/stress-ng/stress-ng-0.10.14.ebuild
  22. BIN
      app-crypt/Manifest.gz
  23. 2
      app-crypt/certbot/certbot-9999.ebuild
  24. 57
      app-crypt/tpm2-abrmd/tpm2-abrmd-2.1.1.ebuild
  25. 55
      app-crypt/tpm2-tss/tpm2-tss-2.2.3.ebuild
  26. BIN
      app-emacs/Manifest.gz
  27. 1
      app-emacs/ebuild-mode/Manifest
  28. 22
      app-emacs/ebuild-mode/ebuild-mode-1.49.ebuild
  29. BIN
      app-forensics/Manifest.gz
  30. 1
      app-forensics/magicrescue/Manifest
  31. 6
      app-forensics/magicrescue/magicrescue-1.1.10.ebuild
  32. 29
      app-forensics/magicrescue/magicrescue-1.1.9.ebuild
  33. BIN
      app-misc/Manifest.gz
  34. 2
      app-misc/cargo-license/cargo-license-0.3.0.ebuild
  35. BIN
      app-xemacs/Manifest.gz
  36. 1
      app-xemacs/ebuild-mode/Manifest
  37. 36
      app-xemacs/ebuild-mode/ebuild-mode-1.49.ebuild
  38. BIN
      dev-haskell/Manifest.gz
  39. 45
      dev-haskell/hscolour/files/hscolour-1.19-ghc-7.5.patch
  40. BIN
      dev-lang/Manifest.gz
  41. 26
      dev-lang/crystal/files/crystal-0.26.1-gentoo-tests-network-sandbox-3.patch
  42. 12
      dev-lang/crystal/files/crystal-0.27.0-tcp-server-test.patch
  43. 7
      dev-lang/crystal/files/crystal-0.27.1-verbose.patch
  44. 1
      dev-lang/erlang/Manifest
  45. 153
      dev-lang/erlang/erlang-22.2.1-r1.ebuild
  46. 8
      dev-lang/erlang/metadata.xml
  47. 2
      dev-lang/rust-bin/rust-bin-1.37.0.ebuild
  48. 2
      dev-lang/rust-bin/rust-bin-1.38.0.ebuild
  49. 2
      dev-lang/rust-bin/rust-bin-1.39.0.ebuild
  50. 2
      dev-lang/rust-bin/rust-bin-1.40.0.ebuild
  51. 2
      dev-lang/rust/rust-1.37.0.ebuild
  52. 2
      dev-lang/rust/rust-1.38.0.ebuild
  53. 2
      dev-lang/rust/rust-1.39.0.ebuild
  54. 2
      dev-lang/rust/rust-1.40.0.ebuild
  55. BIN
      dev-libs/Manifest.gz
  56. 1
      dev-libs/libfilezilla/Manifest
  57. 39
      dev-libs/libfilezilla/libfilezilla-0.19.3.ebuild
  58. 1
      dev-libs/openssl-compat/Manifest
  59. 246
      dev-libs/openssl-compat/openssl-compat-1.0.2u.ebuild
  60. 1
      dev-libs/openssl/Manifest
  61. 308
      dev-libs/openssl/openssl-1.0.2u.ebuild
  62. BIN
      dev-python/Manifest.gz
  63. 1
      dev-python/diff-match-patch/Manifest
  64. 18
      dev-python/diff-match-patch/diff-match-patch-20181111.ebuild
  65. 1
      dev-python/grpcio-testing/Manifest
  66. 22
      dev-python/grpcio-testing/grpcio-testing-1.26.0.ebuild
  67. 1
      dev-python/grpcio-tools/Manifest
  68. 28
      dev-python/grpcio-tools/grpcio-tools-1.26.0.ebuild
  69. 1
      dev-python/grpcio/Manifest
  70. 38
      dev-python/grpcio/grpcio-1.26.0.ebuild
  71. 1
      dev-python/phonenumbers/Manifest
  72. 26
      dev-python/phonenumbers/phonenumbers-8.11.1.ebuild
  73. 1
      dev-python/simpleeval/Manifest
  74. 26
      dev-python/simpleeval/simpleeval-0.9.10.ebuild
  75. BIN
      dev-ruby/Manifest.gz
  76. 5
      dev-ruby/racc/racc-1.4.16-r1.ebuild
  77. BIN
      dev-util/Manifest.gz
  78. 1
      dev-util/catfish/Manifest
  79. 48
      dev-util/catfish/catfish-1.4.11.ebuild
  80. 1
      dev-util/libabigail/Manifest
  81. 77
      dev-util/libabigail/libabigail-1.6.ebuild
  82. 8
      dev-util/libabigail/metadata.xml
  83. 1
      dev-util/stripe-mock/Manifest
  84. 22
      dev-util/stripe-mock/stripe-mock-0.78.0.ebuild
  85. BIN
      eclass/Manifest.gz
  86. 2
      eclass/elisp-common.eclass
  87. BIN
      games-server/Manifest.gz
  88. 2
      games-server/bedrock-server/Manifest
  89. 0
      games-server/bedrock-server/bedrock-server-1.14.1.4.ebuild
  90. BIN
      mail-filter/Manifest.gz
  91. 1
      mail-filter/milter-regex/Manifest
  92. 31
      mail-filter/milter-regex/files/milter-regex-init
  93. 46
      mail-filter/milter-regex/milter-regex-2.7.ebuild
  94. BIN
      media-libs/Manifest.gz
  95. 1
      media-libs/rtaudio/Manifest
  96. 17
      media-libs/rtaudio/files/rtaudio-5.1.0-cflags.patch
  97. 62
      media-libs/rtaudio/rtaudio-5.1.0.ebuild
  98. BIN
      metadata/Manifest.gz
  99. 2
      metadata/dtd/timestamp.chk
  100. 2
      metadata/glsa/timestamp.chk

BIN
Manifest.files.gz

BIN
acct-group/Manifest.gz

0
acct-group/milter-regex/Manifest

7
net-analyzer/openvas-manager/metadata.xml → acct-group/milter-regex/metadata.xml

@ -2,14 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>hasan.calisir@psauxit.com</email>
<name>Hasan ÇALIŞIR</name>
<email>gentoo@seichter.de</email>
<name>Ralph Seichter</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="extras">Html docs support</flag>
</use>
</pkgmetadata>

9
acct-group/milter-regex/milter-regex-0.ebuild

@ -0,0 +1,9 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
DESCRIPTION="Group for mail-filter/milter-regex"
ACCT_GROUP_ID=438

0
acct-group/shellinaboxd/Manifest

12
acct-group/shellinaboxd/metadata.xml

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>monsieurp@gentoo.org</email>
<name>Patrice Clement</name>
</maintainer>
<maintainer type="project">
<email>shell-tools@gentoo.org</email>
<name>Gentoo Shell Tools Project</name>
</maintainer>
</pkgmetadata>

9
acct-group/shellinaboxd/shellinaboxd-0.ebuild

@ -0,0 +1,9 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
DESCRIPTION="shellinabox group"
ACCT_GROUP_ID=139

BIN
acct-user/Manifest.gz

0
acct-user/milter-regex/Manifest

9
net-analyzer/openvas-libraries/metadata.xml → acct-user/milter-regex/metadata.xml

@ -2,16 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>hasan.calisir@psauxit.com</email>
<name>Hasan ÇALIŞIR</name>
<email>gentoo@seichter.de</email>
<name>Ralph Seichter</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="extras">Html docs support</flag>
<flag name="ldap">Enable support for ldap</flag>
<flag name="radius">Enable support for radius</flag>
</use>
</pkgmetadata>

13
acct-user/milter-regex/milter-regex-0.ebuild

@ -0,0 +1,13 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="User for mail-filter/milter-regex"
ACCT_USER_ID=438
ACCT_USER_GROUPS=( milter-regex )
acct-user_add_deps

0
acct-user/shellinaboxd/Manifest

12
acct-user/shellinaboxd/metadata.xml

@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>monsieurp@gentoo.org</email>
<name>Patrice Clement</name>
</maintainer>
<maintainer type="project">
<email>shell-tools@gentoo.org</email>
<name>Gentoo Shell Tools Project</name>
</maintainer>
</pkgmetadata>

12
acct-user/shellinaboxd/shellinaboxd-0.ebuild

@ -0,0 +1,12 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="shellinabox user"
ACCT_USER_ID=139
ACCT_USER_GROUPS=( shellinaboxd )
acct-user_add_deps

BIN
app-admin/Manifest.gz

2
app-admin/sudo/Manifest

@ -1,3 +1,3 @@
DIST sudo-1.8.28p1.tar.gz 3310254 BLAKE2B a1810af7a42d05cce49bb9d0acf6f3731a5193e9e9c3b458691379131eb86d36995854d11c09525e8d999ed1da7e99cf170634667c5a444aa522b8f23db7d1aa SHA512 bda3de34c15fbb68fc29759542295560ccc1562b419d03709cea51613937e9b92ba689c79c3ef4858aeea90d3d1a4dc0148225b11b22cf82395ae1bad8cb1734
DIST sudo-1.8.29.tar.gz 3338260 BLAKE2B 7ba29d155bfb1d7ba20e32ade2e8ee3919e70400b6c235e313052b247b48406b9a051e71daa7e47fdb0a9fd0889f4c05b8a1a170c027503b90081e8cec81660e SHA512 ea780922b2afb47df4df4b533fb355fd916cb18a6bfd13c7ca36a25b03ef585d805648c6fa85692bea363b1f83664ac3bc622f99bcd149b3a86f70522eb4d340
DIST sudo-1.8.30b1.tar.gz 3341783 BLAKE2B fb950277ed66bd83516505cd2eb49b43412d5e95d4afcacf9cde34d685d5d80530deb248c3d421e1fc55343871d80eefdd492489f9bca6c952f81145f4a29746 SHA512 26525d2376fd80796fac146970ca5bbabe170900aca81f7ad71f80828920d27f323fbbf0191b1ba6ef027a53a156c5849aaee21e495b16f2b5188dfedf9746ba
DIST sudo-1.8.30b2.tar.gz 3348480 BLAKE2B f158553fde9b5878cec39f95a69e6d3ef51ea8e5f5074c6b369d01d26c2de973bfefe5b40c64fc0c998f4e0045e054fcf8e01cfdc668003451489566c51f6ac2 SHA512 3d9e17ae4a51c65504d47a8a4a353f13fb2c761ffb90e0e9aca83e32effdd8bd826c96d80bdf9bb5520db37f02762937f020e64a330a530a1032c000d7cfa1f7

0
app-admin/sudo/sudo-1.8.30_beta1.ebuild → app-admin/sudo/sudo-1.8.30_beta2.ebuild

BIN
app-benchmarks/Manifest.gz

2
app-benchmarks/stress-ng/Manifest

@ -1 +1 @@
DIST stress-ng-0.10.13.tar.xz 409940 BLAKE2B fffeaedd999a0887955674f3883f65124eb13814cf284ab1bd7c7dec34380cd381026d9217c9f949a7c0c2227c8b9558409153d0feff01473a6c9f49730f89b4 SHA512 97e8a7ce5dc5e428c26b0d4eeb1350c43c1043aa7dbf591112768c33e208bafe9df7fe737c9a912f0b4296d64e4b27b81131b459c356aca95bc8856e8b939639
DIST stress-ng-0.10.14.tar.xz 410204 BLAKE2B 347a8e5eed70b23022de7bf6af53547e25e704647f6d37f328a60e3023b40a44f627f146199d847641ef5493e167cdcce11d1b945b851bbc4c84cf67b449d1f8 SHA512 f2c2f46c72f7d5a10f2522be775821d6f199253eac4e9a1f0ecdb3c7007a0ab4eb0c671b35abbff34601fcf71f4c8ea60c8bdca9a5a7986c9e9c0e2e009f462a

2
app-benchmarks/stress-ng/stress-ng-0.10.13.ebuild → app-benchmarks/stress-ng/stress-ng-0.10.14.ebuild

@ -29,7 +29,7 @@ RDEPEND="${DEPEND}"
DOCS=( "README" "README.Android" "TODO" "syscalls.txt" )
PATCHES=( "${FILESDIR}/${P}-makefile.patch" )
PATCHES=( "${FILESDIR}/${PN}-0.10.13-makefile.patch" )
src_compile() {
tc-export CC

BIN
app-crypt/Manifest.gz

2
app-crypt/certbot/certbot-9999.ebuild

@ -28,7 +28,7 @@ RDEPEND="
>=app-crypt/acme-0.40.0[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
dev-python/configobj[${PYTHON_USEDEP}]
>=dev-python/cryptography-1.2.3[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.8[${PYTHON_USEDEP}]
>=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
>=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]

57
app-crypt/tpm2-abrmd/tpm2-abrmd-2.1.1.ebuild

@ -1,57 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools systemd user
DESCRIPTION="TPM2 Access Broker & Resource Manager"
HOMEPAGE="https://github.com/tpm2-software/tpm2-abrmd"
SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
IUSE="static-libs test"
RESTRICT="!test? ( test )"
RDEPEND="sys-apps/dbus:=
dev-libs/glib:=
app-crypt/tpm2-tss:="
DEPEND="${RDEPEND}
test? ( dev-util/cmocka )"
BDEPEND="virtual/pkgconfig
dev-util/gdbus-codegen"
PATCHES=(
"${FILESDIR}/${P}-build.patch"
)
pkg_setup() {
enewgroup tss
enewuser tss -1 -1 / tss
}
src_prepare() {
default
eautoreconf
}
src_configure() {
econf \
$(use_enable static-libs static) \
$(use_enable test unit) \
--disable-defaultflags \
--with-dbuspolicydir="${EPREFIX}/etc/dbus-1/system.d" \
--with-systemdpresetdir="$(systemd_get_systemunitdir)/../system-preset" \
--with-systemdpresetdisable \
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
}
src_install() {
default
find "${D}" -name '*.la' -delete || die
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
}

55
app-crypt/tpm2-tss/tpm2-tss-2.2.3.ebuild

@ -1,55 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit linux-info udev user
DESCRIPTION="TCG Trusted Platform Module 2.0 Software Stack"
HOMEPAGE="https://github.com/tpm2-software/tpm2-tss"
SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0/0" # sublot is libtss2-sys number
KEYWORDS="~amd64"
IUSE="doc +gcrypt openssl static-libs test"
RESTRICT="!test? ( test )"
REQUIRED_USE="
gcrypt? ( !openssl )
openssl? ( !gcrypt )
|| ( gcrypt openssl )"
RDEPEND="gcrypt? ( dev-libs/libgcrypt:0= )
openssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
test? ( dev-util/cmocka )"
BDEPEND="virtual/pkgconfig
doc? ( app-doc/doxygen )"
pkg_setup() {
local CONFIG_CHECK=" \
~TCG_TPM
"
linux-info_pkg_setup
kernel_is ge 4 12 0 || ewarn "At least kernel 4.12.0 is required"
enewgroup tss
enewuser tss -1 -1 /var/lib/tpm tss
}
src_configure() {
econf \
$(use_enable doc doxygen-doc) \
$(use_enable static-libs static) \
$(use_enable test unit) \
--disable-defaultflags \
--with-crypto="$(usex gcrypt gcrypt ossl)" \
--with-udevrulesdir="$(get_udevdir)/rules.d" \
--with-udevrulesprefix=60-
}
src_install() {
default
find "${D}" -name '*.la' -delete || die
}

BIN
app-emacs/Manifest.gz

1
app-emacs/ebuild-mode/Manifest

@ -1,2 +1,3 @@
DIST ebuild-mode-1.47.tar.xz 34812 BLAKE2B abbc3be110239f9e1765d4f1293856a7fc616d497ac5256a28b7d78fc57c8d725abccbf7b9e5908cb85f9a684dc1be26ab88152d836c2ec3a481802091729717 SHA512 13ee756ef914a314f6705df78735a3926a50d156f4abeff917bed68298aec81f072d53a60f7b985d9bb2caddcdbf65fd26f6c9189e6c5c1822674d9142b7db17
DIST ebuild-mode-1.48.tar.xz 34764 BLAKE2B cd54e8a1b65232538924aafd10f6dcadd457634313ccf08c97b841d0255f02496a0e3308a4d9cdcd5cbbc41f9f5c373e14641fa31202cfa369fd10f8562cf5da SHA512 d37d7951030877454416dca761c9775eadaa514f29bba8745f61c0f3a5ecb42675c230301286d5a8cce76d8ef7082f5db76151f69b35f6a999118c5e60a5f9c0
DIST ebuild-mode-1.49.tar.xz 34632 BLAKE2B 3e7814363aedbb5a05193faccc0815a7f4b0f56eacb03fb720fa270ac69faa163bd8164639390b1703bb0a82341975e9bfea143c651b5b0ba2825b2bbb3b3329 SHA512 440e23aa6f63307955a9c970f5cbcc175eb14cca4ff4035da4f10fa22d9c6766b29ca7842b800a43c46063f3045c2ff3b2d6b8e27026f47bd0ed0959a8f2d0e9

22
app-emacs/ebuild-mode/ebuild-mode-1.49.ebuild

@ -0,0 +1,22 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit elisp readme.gentoo-r1
DESCRIPTION="Emacs modes for editing ebuilds and other Gentoo specific files"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs"
SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
BDEPEND="sys-apps/texinfo"
DOCS="ChangeLog keyword-generation.sh"
ELISP_TEXINFO="${PN}.texi"
SITEFILE="50${PN}-gentoo-1.39.el"
DOC_CONTENTS="Some optional features may require installation of additional
packages, like dev-python/docutils-glep for glep."

BIN
app-forensics/Manifest.gz

1
app-forensics/magicrescue/Manifest

@ -1,2 +1 @@
DIST magicrescue-1.1.10.tar.gz 227237 BLAKE2B a1584f4e6f4b6771783c565901775e181ba2e952e780565831e5d46245a4dd4670657cec7fb57b18d7dfc09954faec410da2dfe1b35130c23d22d8a6ccf0ab07 SHA512 54fc943a1f521563a3416040eb6b140e3ef79966b615ae0223be0558b810f9202c2d1e5ba0165c43a614caf78dbce1b0992775bef39e9611d2dc290e4582c29d
DIST magicrescue-1.1.9.tar.gz 92621 BLAKE2B a0a3644729c8af3fab9294b211cfbba0a823186219a585923203236aee27954d2337f81fc4d9559b6dde43581c5ce2d6bae5c2961248e2c4f5dd1ab8e31d5b60 SHA512 3c0b97357f0d354dcf53045bbdf2ce81c451ae20c451d2d72dc8b2dbcc480cf48ab436494c0cca20c99f32c938c525074a561cbc779a580a648c674c150a7cc2

6
app-forensics/magicrescue/magicrescue-1.1.10.ebuild

@ -11,11 +11,13 @@ SRC_URI="https://github.com/jbj/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
IUSE=""
DEPEND="|| ( sys-libs/gdbm sys-libs/db:* )"
RDEPEND="${DEPEND}"
RDEPEND="${DEPEND}
!net-mail/safecat"
# File collision with net-mail/safecat, #702004
PATCHES=( "${FILESDIR}/${P}-ldflags.patch"
"${FILESDIR}/${P}-remove_toolsdir.patch" )

29
app-forensics/magicrescue/magicrescue-1.1.9.ebuild

@ -1,29 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
inherit eutils toolchain-funcs
DESCRIPTION="Find deleted files in block devices"
HOMEPAGE="http://www.itu.dk/people/jobr/magicrescue/"
SRC_URI="http://www.itu.dk/people/jobr/magicrescue/release/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
IUSE=""
DEPEND="|| ( sys-libs/gdbm sys-libs/db )"
RDEPEND="${DEPEND}"
src_prepare() {
epatch "${FILESDIR}"/${P}-makefile.patch
epatch "${FILESDIR}"/${P}-ldflags.patch
tc-export CC
}
src_configure() {
# Not autotools, just looks like it sometimes
./configure --prefix=/usr || die
}

BIN
app-misc/Manifest.gz

2
app-misc/cargo-license/cargo-license-0.3.0.ebuild

@ -62,7 +62,7 @@ DESCRIPTION="Cargo subcommand to see license of dependencies"
HOMEPAGE="https://github.com/onur/cargo-license"
SRC_URI="$(cargo_crate_uris ${CRATES})"
LICENSE="MIT" # Update to proper Gentoo format
LICENSE="Apache-2.0 MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"

BIN
app-xemacs/Manifest.gz

1
app-xemacs/ebuild-mode/Manifest

@ -1,2 +1,3 @@
DIST ebuild-mode-1.47.tar.xz 34812 BLAKE2B abbc3be110239f9e1765d4f1293856a7fc616d497ac5256a28b7d78fc57c8d725abccbf7b9e5908cb85f9a684dc1be26ab88152d836c2ec3a481802091729717 SHA512 13ee756ef914a314f6705df78735a3926a50d156f4abeff917bed68298aec81f072d53a60f7b985d9bb2caddcdbf65fd26f6c9189e6c5c1822674d9142b7db17
DIST ebuild-mode-1.48.tar.xz 34764 BLAKE2B cd54e8a1b65232538924aafd10f6dcadd457634313ccf08c97b841d0255f02496a0e3308a4d9cdcd5cbbc41f9f5c373e14641fa31202cfa369fd10f8562cf5da SHA512 d37d7951030877454416dca761c9775eadaa514f29bba8745f61c0f3a5ecb42675c230301286d5a8cce76d8ef7082f5db76151f69b35f6a999118c5e60a5f9c0
DIST ebuild-mode-1.49.tar.xz 34632 BLAKE2B 3e7814363aedbb5a05193faccc0815a7f4b0f56eacb03fb720fa270ac69faa163bd8164639390b1703bb0a82341975e9bfea143c651b5b0ba2825b2bbb3b3329 SHA512 440e23aa6f63307955a9c970f5cbcc175eb14cca4ff4035da4f10fa22d9c6766b29ca7842b800a43c46063f3045c2ff3b2d6b8e27026f47bd0ed0959a8f2d0e9

36
app-xemacs/ebuild-mode/ebuild-mode-1.49.ebuild

@ -0,0 +1,36 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Emacs modes for editing ebuilds and other Gentoo specific files"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs"
SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~x86"
RDEPEND=">=app-editors/xemacs-21.4.20-r5
app-xemacs/sh-script"
BDEPEND="${RDEPEND}"
src_compile() {
local XEMACS="${EPREFIX}/usr/bin/xemacs"
"${XEMACS}" -batch -q --no-site-file \
-eval "(add-to-list 'load-path \".\")" \
-f batch-byte-compile \
ebuild-mode.el gentoo-newsitem-mode.el || die
"${XEMACS}" -batch -q --no-site-file \
-eval "(setq autoload-package-name \"${PN}\")" \
-eval "(setq generated-autoload-file \"${S}/auto-autoloads.el\")" \
-l autoload -f batch-update-autoloads \
ebuild-mode.el gentoo-newsitem-mode.el || die
}
src_install() {
insinto /usr/share/xemacs/site-packages/lisp/${PN}
doins *.el *.elc
}

BIN
dev-haskell/Manifest.gz

45
dev-haskell/hscolour/files/hscolour-1.19-ghc-7.5.patch

@ -1,45 +0,0 @@
--- hscolour-1.19-orig/Language/Haskell/HsColour/Colourise.hs 2011-06-06 03:05:04.000000000 +1000
+++ hscolour-1.19/Language/Haskell/HsColour/Colourise.hs 2012-06-24 10:29:57.990963394 +1000
@@ -1,3 +1,7 @@
+{-# LANGUAGE CPP #-}
+#if (__GLASGOW_HASKELL__>=705)
+{-# LANGUAGE ScopedTypeVariables #-}
+#endif
module Language.Haskell.HsColour.Colourise
( module Language.Haskell.HsColour.ColourHighlight
, ColourPrefs(..)
@@ -9,6 +13,9 @@
import Language.Haskell.HsColour.ColourHighlight
import Language.Haskell.HsColour.Classify (TokenType(..))
+#if (__GLASGOW_HASKELL__>=705)
+import Control.Exception (catch, SomeException)
+#endif
import System.IO (hPutStrLn,stderr)
import System.Environment (getEnv)
import Data.List
@@ -51,6 +58,16 @@
-- | Read colour preferences from .hscolour file in the current directory, or failing that,
-- from \$HOME\/.hscolour, and failing that, returns a default set of prefs.
readColourPrefs :: IO ColourPrefs
+#if (__GLASGOW_HASKELL__>=705)
+readColourPrefs = catch
+ (do val <- readFile ".hscolour"
+ parseColourPrefs ".hscolour" val)
+ (\(_ :: SomeException) -> catch
+ (do home <- getEnv "HOME"
+ val <- readFile (home++"/.hscolour")
+ parseColourPrefs (home++"/.hscolour") val)
+ (\(_ :: SomeException) -> return defaultColourPrefs))
+#else
readColourPrefs = catch
(do val <- readFile ".hscolour"
parseColourPrefs ".hscolour" val)
@@ -59,6 +76,7 @@
val <- readFile (home++"/.hscolour")
parseColourPrefs (home++"/.hscolour") val)
(\_-> return defaultColourPrefs))
+#endif
-- | Convert token classification to colour highlights.
colourise :: ColourPrefs -> TokenType -> [Highlight]

BIN
dev-lang/Manifest.gz

26
dev-lang/crystal/files/crystal-0.26.1-gentoo-tests-network-sandbox-3.patch

@ -1,26 +0,0 @@
diff --git a/spec/std/http/server/server_spec.cr b/spec/std/http/server/server_spec.cr
index 9de0c3f..59882db 100644
--- a/spec/std/http/server/server_spec.cr
+++ b/spec/std/http/server/server_spec.cr
@@ -400,7 +400,9 @@ module HTTP
end
describe "#bind_tls" do
- it "binds SSL server context" do
+ # gentoo's FEATURES=network-sandbox blocks external network:
+ # connect: Connection timed out (Errno)
+ pending "binds SSL server context" do
server = Server.new do |context|
context.response.puts "Test Server (#{context.request.headers["Host"]?})"
context.response.close
@@ -512,7 +514,9 @@ module HTTP
end
{% end %}
- it "handles exception during SSL handshake (#6577)" do
+ # gentoo's FEATURES=network-sandbox blocks external network:
+ # connect: Connection timed out (Errno)
+ pending "handles exception during SSL handshake (#6577)" do
server = SilentErrorHTTPServer.new do |context|
context.response.print "ok"
context.response.close

12
dev-lang/crystal/files/crystal-0.27.0-tcp-server-test.patch

@ -1,12 +0,0 @@
--- a/spec/std/http/server/server_spec.cr
+++ b/spec/std/http/server/server_spec.cr
@@ -524,7 +524,8 @@ module HTTP
end
describe "#close" do
- it "closes gracefully" do
+ # fails under gentoo's sandbox
+ pending "closes gracefully" do
server = Server.new do |context|
context.response.flush
context.response.puts "foo"

7
dev-lang/crystal/files/crystal-0.27.1-verbose.patch

@ -1,7 +0,0 @@
--- a/Makefile
+++ b/Makefile
@@ -29,3 +29,3 @@ SOURCES := $(shell find src -name '*.cr')
SPEC_SOURCES := $(shell find spec -name '*.cr')
-override FLAGS += -D preview_overflow -D compiler_rt $(if $(release),--release )$(if $(stats),--stats )$(if $(progress),--progress )$(if $(threads),--threads $(threads) )$(if $(debug),-d )$(if $(static),--static )$(if $(LDFLAGS),--link-flags="$(LDFLAGS)" )
+override FLAGS += -D preview_overflow -D compiler_rt $(if $(release),--release )$(if $(stats),--stats )$(if $(progress),--progress )$(if $(threads),--threads $(threads) )$(if $(debug),-d )$(if $(static),--static )$(if $(LDFLAGS),--link-flags="$(LDFLAGS)" )$(if $(verbose),--verbose )
SPEC_FLAGS := $(if $(verbose),-v )$(if $(junit_output),--junit_output $(junit_output) )

1
dev-lang/erlang/Manifest

@ -3,6 +3,7 @@ DIST erlang-22.1.1.tar.gz 54951145 BLAKE2B 917813f750eacd3dc7da25f1fa9e1f9c55e6c
DIST erlang-22.1.4.tar.gz 54957524 BLAKE2B 8960dd63eb7ae18544d8b6809760543b276ec230d5a9051d1888269770f6c44b379b6ba85ce9106f7d37b76c41b7683a545ba80569e33195e3e9211f6ced4ee3 SHA512 271a188d46a79cd1c43c3b8059b77c0802af624ff88c6916e0b84994040750d9792f0416937ed98e874256562f27d858916239d79f93b545c98b9703e5018f7b
DIST erlang-22.1.7.tar.gz 54969082 BLAKE2B 4168b93e146de3dd22ec0d6088d2a2b62dc1a3d96d3c2859f65ef721a32f24ef74fb6baf3467da7b2c5b13a3b8d62602d3e94ddd359f091f548f958d9b8a77ea SHA512 72660ea481ac647a091b713a4a9240d1d008336152a41fd5f9f191c6050d42a67ddc0ff8bc51addc2e1d6f9a244516883df5025f005ae575fa101d941ac0bd05
DIST erlang-22.1.8.tar.gz 54967877 BLAKE2B cb022e3c5f577605872e7689639fced6c1f6cb7600314f5939107605f0767ca080c65c2f9e0695a04bf53a9e0727553d854a9df57f09ce5f4a958ebd035756e7 SHA512 4260fab3f6cd9338ca167371cd982bcf9557729e93d58c3911e485529ed8ee97089e1de3466745d21206c94276f9865ac4fddcb2803afe915494b43feda46dda
DIST erlang-22.2.1.tar.gz 55742915 BLAKE2B cfb49a07289f66ee8bcdc37452c88ec60c90b92febb7d41538166916989e80b612f13bae4ae2ba305aa12c790a74bcd9dc8412207413ba512537193811d177ad SHA512 4c0e5b963def01e02f8550414bee9e15a79681ac19547c4707d4cf3a67924e252dde7f8f94dfeca5eb3d34730acaffd193603711531bdf7c22d47d8880c5e5f4
DIST erlang-22.2.tar.gz 55736930 BLAKE2B bcd67ea4ef5c358d4f0bcbec977e2c60a3b0f1ccccb2d38c35ba1908ed9d96727c83ab6cb6dc69ce90ffc6772e34de68014cc66ec8c3bfcda852844a4f6b1548 SHA512 a192da8ee02588c44e5c04bf2933c95672f596ca10f485c2c41d0c97563c90b5ea24fa02da61e007595f25a80557e6513372db3059bb7e394647a4c11f4cd41e
DIST erlang_doc_html_21.1.tar.gz 32692731 BLAKE2B a7fa8ebe1c876ab7eecd2dd46ffd4d288db6d308e0f131d53c26ee4b67a92cb6fcb89b6c880ef34df395c7ad61fcdc81eac32e0fcf7336be7d517263218146bc SHA512 0d659f55bfb01eecf140a310154724489ef56b6ccbe9ac30f6b053f598276721b80de7b5b3200707cf8a6e77b8854eae5453f655225f431fcc982550539f767f
DIST erlang_doc_html_22.1.tar.gz 33824830 BLAKE2B 2d50802fff81eba8bcf5f630da49d68d7cb2098175012e12f13941e69949a109c9f601c3cfaa2700b669415cd0c6c15961d8e4dd94b9b228cee17b661fe5400a SHA512 cc24927a4ff98b04d8f93fbc46bb36ffb34570521e4f31154b778dc17cf1cff60869239c26c327d7a9360c06528f9b380a302b39fa47285e50dfd4656b508202

153
dev-lang/erlang/erlang-22.2.1-r1.ebuild

@ -0,0 +1,153 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
WX_GTK_VER="3.0"
inherit elisp-common java-pkg-opt-2 systemd wxwidgets
# NOTE: If you need symlinks for binaries please tell maintainers or
# open up a bug to let it be created.
UPSTREAM_V="$(ver_cut 1-2)"
DESCRIPTION="Erlang programming language, runtime environment and libraries (OTP)"
HOMEPAGE="https://www.erlang.org/"
SRC_URI="https://github.com/erlang/otp/archive/OTP-${PV}.tar.gz -> ${P}.tar.gz
http://erlang.org/download/otp_doc_man_${UPSTREAM_V}.tar.gz -> ${PN}_doc_man_${UPSTREAM_V}.tar.gz
doc? ( http://erlang.org/download/otp_doc_html_${UPSTREAM_V}.tar.gz -> ${PN}_doc_html_${UPSTREAM_V}.tar.gz )"
LICENSE="Apache-2.0"
# We use this subslot because Compiled HiPE Code can be loaded on the exact
# same build of ERTS that was used when compiling the code. See
# http://erlang.org/doc/system_principles/misc.html for more information.
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
IUSE="doc emacs +hipe java +kpoll libressl odbc sctp ssl systemd tk wxwidgets"
RDEPEND="
acct-group/epmd
acct-user/epmd
sys-libs/ncurses:0
sys-libs/zlib
emacs? ( >=app-editors/emacs-23.1:* )
java? ( >=virtual/jdk-1.8:* )
odbc? ( dev-db/unixODBC )
sctp? ( net-misc/lksctp-tools )
ssl? (
!libressl? ( >=dev-libs/openssl-0.9.7d:0= )
libressl? ( dev-libs/libressl:0= )
)
systemd? ( sys-apps/systemd )
tk? ( dev-lang/tk:0 )
wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X,opengl] )
"
DEPEND="${RDEPEND}
dev-lang/perl
"
S="${WORKDIR}/otp-OTP-${PV}"
PATCHES=(
"${FILESDIR}/18.2.1-wx3.0.patch"
"${FILESDIR}/${PN}-22.0-dont-ignore-LDFLAGS.patch"
)
SITEFILE=50"${PN}"-gentoo.el
src_prepare() {
default
./otp_build autoconf || die
}
src_configure() {
use wxwidgets && setup-wxwidgets
local myconf=(
--disable-builtin-zlib
$(use_enable hipe)
$(use_enable kpoll kernel-poll)
$(use_with java javac)
$(use_enable sctp)
$(use_with ssl ssl "${EPREFIX}"/usr)
$(use_enable ssl dynamic-ssl-lib)
$(use_enable systemd)
$(usex wxwidgets "--with-wx-config=${WX_CONFIG}" "--with-wxdir=/dev/null")
)
econf "${myconf[@]}"
}
src_compile() {
emake
if use emacs ; then
pushd lib/tools/emacs &>/dev/null || die
elisp-compile *.el
popd &>/dev/null || die
fi
}
extract_version() {
local path="$1"
local var_name="$2"
sed -n -e "/^${var_name} = \(.*\)$/s::\1:p" "${S}/${path}/vsn.mk" || die "extract_version() failed"
}
src_install() {
local erl_libdir_rel="$(get_libdir)/erlang"
local erl_libdir="/usr/${erl_libdir_rel}"
local erl_interface_ver="$(extract_version lib/erl_interface EI_VSN)"
local erl_erts_ver="$(extract_version erts VSN)"
local my_manpath="/usr/share/${PN}/man"
[[ -z "${erl_erts_ver}" ]] && die "Couldn't determine erts version"
[[ -z "${erl_interface_ver}" ]] && die "Couldn't determine interface version"
emake INSTALL_PREFIX="${D}" install
if use doc ; then
local DOCS=( "AUTHORS" "HOWTO"/* "README.md" "CONTRIBUTING.md" "${WORKDIR}"/doc/. "${WORKDIR}"/lib/. "${WORKDIR}"/erts-* )
docompress -x /usr/share/doc/${PF}
else
local DOCS=("README.md")
fi
einstalldocs
dosym "../${erl_libdir_rel}/bin/erl" /usr/bin/erl
dosym "../${erl_libdir_rel}/bin/erlc" /usr/bin/erlc
dosym "../${erl_libdir_rel}/bin/escript" /usr/bin/escript
dosym "../${erl_libdir_rel}/lib/erl_interface-${erl_interface_ver}/bin/erl_call" /usr/bin/erl_call
dosym "../${erl_libdir_rel}/erts-${erl_erts_ver}/bin/beam.smp" /usr/bin/beam.smp
## Clean up the no longer needed files
rm "${ED}/${erl_libdir}/Install" || die
insinto "${my_manpath}"
doins -r "${WORKDIR}"/man/*
# extend MANPATH, so the normal man command can find it
# see bug 189639
newenvd - "90erlang" <<-_EOF_
MANPATH="${my_manpath}"
_EOF_
if use emacs ; then
elisp-install erlang lib/tools/emacs/*.{el,elc}
sed -e "s:/usr/share:${EPREFIX}/usr/share:g" \
"${FILESDIR}/${SITEFILE}" > "${T}/${SITEFILE}" || die
elisp-site-file-install "${T}/${SITEFILE}"
fi
newinitd "${FILESDIR}"/epmd.init-r2 epmd
newconfd "${FILESDIR}"/epmd.confd-r2 epmd
use systemd && systemd_newunit "${FILESDIR}"/epmd.service-r1 epmd.service
}
pkg_postinst() {
use emacs && elisp-site-regen
}
pkg_postrm() {
use emacs && elisp-site-regen
}

8
dev-lang/erlang/metadata.xml

@ -5,6 +5,14 @@
<email>slyfox@gentoo.org</email>
<name>Sergei Trofimovich</name>
</maintainer>
<maintainer type="person">
<email>arkamar@atlas.cz</email>
<name>Petr Vaněk</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="hipe">HIgh Performance Erlang extension</flag>
<flag name="kpoll">Enable kernel polling support</flag>

2
dev-lang/rust-bin/rust-bin-1.37.0.ebuild

@ -144,7 +144,7 @@ pkg_postinst() {
elog "Rust installs a helper script for calling GDB now,"
elog "for your convenience it is installed under /usr/bin/rust-gdb-bin-${PV},"
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

2
dev-lang/rust-bin/rust-bin-1.38.0.ebuild

@ -144,7 +144,7 @@ pkg_postinst() {
elog "Rust installs a helper script for calling GDB now,"
elog "for your convenience it is installed under /usr/bin/rust-gdb-bin-${PV},"
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

2
dev-lang/rust-bin/rust-bin-1.39.0.ebuild

@ -144,7 +144,7 @@ pkg_postinst() {
elog "Rust installs a helper script for calling GDB now,"
elog "for your convenience it is installed under /usr/bin/rust-gdb-bin-${PV},"
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

2
dev-lang/rust-bin/rust-bin-1.40.0.ebuild

@ -144,7 +144,7 @@ pkg_postinst() {
elog "Rust installs a helper script for calling GDB now,"
elog "for your convenience it is installed under /usr/bin/rust-gdb-bin-${PV},"
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

2
dev-lang/rust/rust-1.37.0.ebuild

@ -312,7 +312,7 @@ pkg_postinst() {
ewarn "This might have resulted in a dangling symlink for /usr/bin/cargo on some"
ewarn "systems. This can be resolved by calling 'sudo eselect rust set ${P}'."
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

2
dev-lang/rust/rust-1.38.0.ebuild

@ -312,7 +312,7 @@ pkg_postinst() {
ewarn "This might have resulted in a dangling symlink for /usr/bin/cargo on some"
ewarn "systems. This can be resolved by calling 'sudo eselect rust set ${P}'."
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

2
dev-lang/rust/rust-1.39.0.ebuild

@ -317,7 +317,7 @@ pkg_postinst() {
ewarn "This might have resulted in a dangling symlink for /usr/bin/cargo on some"
ewarn "systems. This can be resolved by calling 'sudo eselect rust set ${P}'."
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

2
dev-lang/rust/rust-1.40.0.ebuild

@ -315,7 +315,7 @@ pkg_postinst() {
ewarn "This might have resulted in a dangling symlink for /usr/bin/cargo on some"
ewarn "systems. This can be resolved by calling 'sudo eselect rust set ${P}'."
if has_version app-editors/emacs || has_version app-editors/emacs-vcs; then
if has_version app-editors/emacs; then
elog "install app-emacs/rust-mode to get emacs support for rust."
fi

BIN
dev-libs/Manifest.gz

1
dev-libs/libfilezilla/Manifest

@ -1,3 +1,4 @@
DIST libfilezilla-0.15.1.tar.bz2 404746 BLAKE2B 644f4b8949670d5b07f9e7b861d388ce70eae6612e34bf938cb628b65724a527e33c1f039087fd8381c06a15c12cc2b4fc6f616cc5949bf325e2eebf41abdf2d SHA512 d557f7636bfc3958b8558fab3384b0ea84caea594566d39c051f20f02dfd71213369c50df282a3f7d2dd757038bd26e9722214839dab965cb7cde9733d59883a
DIST libfilezilla-0.18.2.tar.bz2 526968 BLAKE2B 81b27c18e9c04e2277dbe7a2fa2bfe3c1fa7c1f9c27eaf5cc02f309a15e9b61e71e5a67aa359c7bb36b27335f008cfb58641adcb42745ac00b9ac9eb2c649cde SHA512 6f165a008ea8e3090554070685ef042b5304a8e7fdeb9f16c81a01c00b5fcb3d4acd356cfaf3fc1189c04db0b726dd005c592f6c7c6b06a527d8b82e7890257b
DIST libfilezilla-0.19.1.tar.bz2 539952 BLAKE2B a581964a34c9104543eb06579e1f1b816b0f47e6ef3af0de9aa0b7528665ca0ac17ddf3c5327a434b8e344bdde5602f1b7a71b7cc755367e750c88de06329335 SHA512 1342a199e4bdc211437deaa4ff34fe7f7de476a664b1ea4dc8df0482db98eb6c21e03f9c7b510bc00c81f6dacd7fdec2fa721554fe6e71c5bb2763618759b1a1
DIST libfilezilla-0.19.3.tar.bz2 541117 BLAKE2B c0015be2fa632cc4bfd44d5e02bdc9e14c5ac0598e4c83fabc95e00dd82669963d02a8e7b3db33e554d86f333eb5a7afdd6235acfa7b336dbd5bbfbf334f4381 SHA512 264a3a110dc4e99f6b993479be9f25cf831297899c699d73e5ad5a403e11ff09fa9ab062a420a0111e78f7d6e68e92fa461c161c8fd7c274cf227ef45f618849

39
dev-libs/libfilezilla/libfilezilla-0.19.3.ebuild

@ -0,0 +1,39 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic
DESCRIPTION="C++ library offering some basic functionality for platform-independent programs"
HOMEPAGE="https://lib.filezilla-project.org/"
SRC_URI="https://download.filezilla-project.org/${PN}/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0/3" # libfilezilla .so version
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-libs/nettle:0=
>=net-libs/gnutls-3.5.7:=
"
DEPEND="${RDEPEND}
test? ( dev-util/cppunit )"
pkg_pretend() {
if [[ ${MERGE_TYPE} != binary ]]; then
if ! test-flag-CXX -std=c++14; then
eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
eerror "to gcc-4.9 or an equivalent version supporting C++14."
die "Currently active compiler does not support -std=c++14"
fi
fi
}
src_install() {
default
find "${ED}" -type f \( -name "*.a" -o -name "*.la" \) -delete || die
}

1
dev-libs/openssl-compat/Manifest

@ -2,3 +2,4 @@ DIST openssl-0.9.8zh.tar.gz 3818524 BLAKE2B 610bb4858900983cf4519fa8b63f1e03b384
DIST openssl-1.0.2-patches-1.5.tar.xz 12404 BLAKE2B 6c1b8c28f339f539b2ab8643379502a24cf62bffde00041dce54d5dd9e8d2620b181362ee5464b0ab32ba4948e209697bfabadbea2944a409a1009100d298f24 SHA512 5725e2d9d1ee8cc074bcef3bed61c71bdab2ff1c114362110c3fb8da11ad5bc8f2ff28e90a293f5f3a5cf96ecda54dffdb7ab3fb3f8b23ef6472250dc3037659
DIST openssl-1.0.2t-bindist-1.0.tar.xz 13872 BLAKE2B b2aade96a6e0ca6209a39e205b1c838de945903fcf959c62cc29ddcd1a0cb360fc5db234df86860a6a4c096f5ecc237611e4c2946b986a5500c24ba93c208ef4 SHA512 a48a7efb9b973b865bcc5009d450b428ed6b4b95e4cefe70c51056e47392c8a7bec58215168d8b07712419dc74646c2bd2fd23bcfbba2031376e292249a6b1b6
DIST openssl-1.0.2t.tar.gz 5355422 BLAKE2B dcbc883151ff6c5b60f5849d8789c2e76a384cb3d5eb5f08a6109776d0edf134580dc33fa8b946ae2344542560f04ecef17f218406952dd8d31e4200c4882022 SHA512 0b88868933f42fab87e8b22449435a1091cc6e75f986aad6c173e01ad123161fcae8c226759073701bc65c9f2f0b6ce6a63a61203008ed873cfb6e484f32bc71
DIST openssl-1.0.2u.tar.gz 5355412 BLAKE2B b2ff2a10e5851af5aca4093422a9a072c794e87b997263826c1c35910c040f695fac63decac5856cb49399ed03d410f97701d9fd4e1ebfbcacd8f3a74ce8bf57 SHA512 c455bb309e20e2c2d47fdc5619c734d107d5c8c38c1409903ce979acc120b0d5fa0312917c0aa0d630e402d092a703d4249643f36078e8528a3cafc9dac6ab32

246
dev-libs/openssl-compat/openssl-compat-1.0.2u.ebuild

@ -0,0 +1,246 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
inherit flag-o-matic toolchain-funcs multilib multilib-minimal
# openssl-1.0.2-patches-1.6 contain additional CVE patches
# which got fixed with this release.
# Please use 1.7 version number when rolling a new tarball!
PATCH_SET="openssl-1.0.2-patches-1.5"
MY_P=openssl-${PV/_/-}
# This patch set is based on the following files from Fedora 25,
# see https://src.fedoraproject.org/rpms/openssl/blob/25/f/openssl.spec
# for more details:
# - hobble-openssl (SOURCE1)
# - ec_curve.c (SOURCE12) -- MODIFIED
# - ectest.c (SOURCE13)
# - openssl-1.1.1-ec-curves.patch (PATCH37) -- MODIFIED
BINDIST_PATCH_SET="openssl-1.0.2t-bindist-1.0.tar.xz"
DESCRIPTION="full-strength general purpose cryptography library (including SSL and TLS)"
HOMEPAGE="https://www.openssl.org/"
SRC_URI="mirror://openssl/source/${MY_P}.tar.gz
bindist? (
mirror://gentoo/${BINDIST_PATCH_SET}
https://dev.gentoo.org/~whissi/dist/openssl/${BINDIST_PATCH_SET}
)
!vanilla? (
mirror://gentoo/${PATCH_SET}.tar.xz
https://dev.gentoo.org/~chutzpah/dist/openssl/${PATCH_SET}.tar.xz
https://dev.gentoo.org/~whissi/dist/openssl/${PATCH_SET}.tar.xz
https://dev.gentoo.org/~polynomial-c/dist/${PATCH_SET}.tar.xz
)"
LICENSE="openssl"
SLOT="1.0.0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~x86-linux"
IUSE="+asm bindist gmp kerberos rfc3779 sctp cpu_flags_x86_sse2 sslv2 +sslv3 static-libs test +tls-heartbeat vanilla zlib"
RESTRICT="!bindist? ( bindist )
test"
RDEPEND="gmp? ( >=dev-libs/gmp-5.1.3-r1[static-libs(+)?,${MULTILIB_USEDEP}] )
kerberos? ( >=app-crypt/mit-krb5-1.11.4[${MULTILIB_USEDEP}] )
zlib? ( >=sys-libs/zlib-1.2.8-r1[static-libs(+)?,${MULTILIB_USEDEP}] )
!=dev-libs/openssl-1.0.2*:0
!dev-libs/openssl:1.0.0"
DEPEND="${RDEPEND}"
BDEPEND="
>=dev-lang/perl-5
sctp? ( >=net-misc/lksctp-tools-1.0.12 )
test? (
sys-apps/diffutils
sys-devel/bc
)"
# Do not install any docs
DOCS=()
S="${WORKDIR}/${MY_P}"
MULTILIB_WRAPPED_HEADERS=(
usr/include/openssl/opensslconf.h
)
src_prepare() {
if use bindist; then
mv "${WORKDIR}"/bindist-patches/hobble-openssl "${WORKDIR}" || die
bash "${WORKDIR}"/hobble-openssl || die
cp -f "${WORKDIR}"/bindist-patches/ec_curve.c "${S}"/crypto/ec/ || die
cp -f "${WORKDIR}"/bindist-patches/ectest.c "${S}"/crypto/ec/ || die
eapply "${WORKDIR}"/bindist-patches/ec-curves.patch
# Also see the configure parts below:
# enable-ec \
# $(use_ssl !bindist ec2m) \
# $(use_ssl !bindist srp) \
fi
# keep this in sync with app-misc/c_rehash
SSL_CNF_DIR="/etc/ssl"
# Make sure we only ever touch Makefile.org and avoid patching a file
# that gets blown away anyways by the Configure script in src_configure
rm -f Makefile
if ! use vanilla ; then
eapply "${WORKDIR}"/patch/*.patch
fi
eapply_user
# disable fips in the build
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
sed -i \
-e '/DIRS/s: fips : :g' \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:='${EPREFIX}'/usr/share/man:') \
Makefile.org \
|| die
# show the actual commands in the log
sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
# since we're forcing $(CC) as makedep anyway, just fix
# the conditional as always-on
# helps clang (#417795), and versioned gcc (#499818)
# this breaks build with 1.0.2p, not sure if it is needed anymore
#sed -i 's/expr.*MAKEDEPEND.*;/true;/' util/domd || die
# quiet out unknown driver argument warnings since openssl
# doesn't have well-split CFLAGS and we're making it even worse
# and 'make depend' uses -Werror for added fun (#417795 again)
[[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-1.0.2 gentoo.config || die
chmod a+rx gentoo.config || die
append-flags -fno-strict-aliasing
append-flags $(test-flags-CC -Wa,--noexecstack)
append-cppflags -DOPENSSL_NO_BUF_FREELISTS
sed -i '1s,^:$,#!'${EPREFIX}'/usr/bin/perl,' Configure #141906
# The config script does stupid stuff to prompt the user. Kill it.
sed -i '/stty -icanon min 0 time 50; read waste/d' config || die
./config --test-sanity || die "I AM NOT SANE"
multilib_copy_sources
}
multilib_src_configure() {
unset APPS #197996
unset SCRIPTS #312551
unset CROSS_COMPILE #311473
tc-export CC AR RANLIB RC
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free https://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired https://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 https://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired https://en.wikipedia.org/wiki/MDC-2
# RC5: Expired https://en.wikipedia.org/wiki/RC5
use_ssl() { usex $1 "enable-${2:-$1}" "no-${2:-$1}" " ${*:3}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
# See if our toolchain supports __uint128_t. If so, it's 64bit
# friendly and can use the nicely optimized code paths. #460790
local ec_nistp_64_gcc_128
# Disable it for now though #469976
#if ! use bindist ; then
# echo "__uint128_t i;" > "${T}"/128.c
# if ${CC} ${CFLAGS} -c "${T}"/128.c -o /dev/null >&/dev/null ; then
# ec_nistp_64_gcc_128="enable-ec_nistp_64_gcc_128"
# fi
#fi
# https://github.com/openssl/openssl/issues/2286
if use ia64 ; then
replace-flags -g3 -g2
replace-flags -ggdb3 -ggdb2
fi
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
# Fedora hobbled-EC needs 'no-ec2m', 'no-srp'
# Make sure user flags don't get added *yet* to avoid duplicated
# flags.
CFLAGS= LDFLAGS= echoit \
./${config} \
${sslout} \
$(use cpu_flags_x86_sse2 || echo "no-sse2") \
enable-camellia \
enable-ec \
$(use_ssl !bindist ec2m) \
$(use_ssl !bindist srp) \
${ec_nistp_64_gcc_128} \
enable-idea \
enable-mdc2 \
enable-rc5 \
enable-tlsext \
$(use_ssl asm) \
$(use_ssl gmp gmp -lgmp) \
$(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
$(use_ssl rfc3779) \
$(use_ssl sctp) \
$(use_ssl sslv2 ssl2) \
$(use_ssl sslv3 ssl3) \
$(use_ssl tls-heartbeat heartbeats) \
$(use_ssl zlib) \
--prefix="${EPREFIX}"/usr \
--openssldir="${EPREFIX}"${SSL_CNF_DIR} \
--libdir=$(get_libdir) \
shared threads \
|| die
# Clean out hardcoded flags that openssl uses
local DEFAULT_CFLAGS=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
-e 's:^CFLAG=::' \
-e 's:\(^\| \)-fomit-frame-pointer::g' \
-e 's:\(^\| \)-O[^ ]*::g' \
-e 's:\(^\| \)-march=[^ ]*::g' \
-e 's:\(^\| \)-mcpu=[^ ]*::g' \
-e 's:\(^\| \)-m[^ ]*::g' \
-e 's:^ *::' \
-e 's: *$::' \
-e 's: \+: :g' \
-e 's:\\:\\\\:g'
)
# Now insert clean default flags with user flags
sed -i \
-e "/^CFLAG/s|=.*|=${DEFAULT_CFLAGS} ${CFLAGS}|" \
-e "/^LDFLAGS=/s|=[[:space:]]*$|=${LDFLAGS}|" \
Makefile || die
}
multilib_src_compile() {
# depend is needed to use $confopts; it also doesn't matter
# that it's -j1 as the code itself serializes subdirs
emake -j1 V=1 depend
emake build_libs
}
multilib_src_test() {
emake -j1 test
}
multilib_src_install() {
dolib.so lib{crypto,ssl}.so.${SLOT}
}

1
dev-libs/openssl/Manifest

@ -1,6 +1,7 @@
DIST openssl-1.0.2-patches-1.5.tar.xz 12404 BLAKE2B 6c1b8c28f339f539b2ab8643379502a24cf62bffde00041dce54d5dd9e8d2620b181362ee5464b0ab32ba4948e209697bfabadbea2944a409a1009100d298f24 SHA512 5725e2d9d1ee8cc074bcef3bed61c71bdab2ff1c114362110c3fb8da11ad5bc8f2ff28e90a293f5f3a5cf96ecda54dffdb7ab3fb3f8b23ef6472250dc3037659
DIST openssl-1.0.2t-bindist-1.0.tar.xz 13872 BLAKE2B b2aade96a6e0ca6209a39e205b1c838de945903fcf959c62cc29ddcd1a0cb360fc5db234df86860a6a4c096f5ecc237611e4c2946b986a5500c24ba93c208ef4 SHA512 a48a7efb9b973b865bcc5009d450b428ed6b4b95e4cefe70c51056e47392c8a7bec58215168d8b07712419dc74646c2bd2fd23bcfbba2031376e292249a6b1b6
DIST openssl-1.0.2t.tar.gz 5355422 BLAKE2B dcbc883151ff6c5b60f5849d8789c2e76a384cb3d5eb5f08a6109776d0edf134580dc33fa8b946ae2344542560f04ecef17f218406952dd8d31e4200c4882022 SHA512 0b88868933f42fab87e8b22449435a1091cc6e75f986aad6c173e01ad123161fcae8c226759073701bc65c9f2f0b6ce6a63a61203008ed873cfb6e484f32bc71
DIST openssl-1.0.2u.tar.gz 5355412 BLAKE2B b2ff2a10e5851af5aca4093422a9a072c794e87b997263826c1c35910c040f695fac63decac5856cb49399ed03d410f97701d9fd4e1ebfbcacd8f3a74ce8bf57 SHA512 c455bb309e20e2c2d47fdc5619c734d107d5c8c38c1409903ce979acc120b0d5fa0312917c0aa0d630e402d092a703d4249643f36078e8528a3cafc9dac6ab32
DIST openssl-1.1.0l-bindist-1.0.tar.xz 13184 BLAKE2B c09e023458faff17b10d6f20c28462c0851757a20d59b4b751220ab307324d5778252df112ad74fd319407cc75fdd1cd507d48058dd0234dc8c03020c882ed42 SHA512 39720ecee3ec6080c1416f2fb7c9246b89ee55b21be2baabad51eb6823dbe1559450b1ae92fa61ac1cf5ba04ac8c02438aa469bc65eae6905cf1ea486f270793
DIST openssl-1.1.0l.tar.gz 5294857 BLAKE2B 0e4f30f9e8a22414325bd780dc4e875e962487fbe72967f0392ace959955429192541881a98d097d7bb75ed7238b1817b0c3c2c4da04421512bd538f2b07cdd7 SHA512 81b74149f40ea7d9f7e235820a4f977844653ad1e2b302e65e712c12193f47542fe7e3385fd1e25e3dd074e4e6d04199836cbc492656f5a7692edab5e234f4ad
DIST openssl-1.1.1d-bindist-1.0.tar.xz 13180 BLAKE2B 680bd7400d3dd3930067ee7efa9718b74b30afa9be2397ad80f88031920806b6603b6469beede02b6e7a742abf5f82ebdd7c9b8e69c1ffe223e4860dc9581128 SHA512 9e4296326852010d5cebc204d1a34a34198d8d65460bc91a2bd37c80be892a5ae519513e4b0109e6b51b6faab0e171ef6cdae868868c158711558d147083c06f

308
dev-libs/openssl/openssl-1.0.2u.ebuild

@ -0,0 +1,308 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
inherit flag-o-matic toolchain-funcs multilib multilib-minimal
# openssl-1.0.2-patches-1.6 contain additional CVE patches
# which got fixed with this release.
# Please use 1.7 version number when rolling a new tarball!
PATCH_SET="openssl-1.0.2-patches-1.5"
MY_P=${P/_/-}
# This patch set is based on the following files from Fedora 25,
# see https://src.fedoraproject.org/rpms/openssl/blob/25/f/openssl.spec
# for more details:
# - hobble-openssl (SOURCE1)
# - ec_curve.c (SOURCE12) -- MODIFIED
# - ectest.c (SOURCE13)
# - openssl-1.1.1-ec-curves.patch (PATCH37) -- MODIFIED
BINDIST_PATCH_SET="openssl-1.0.2t-bindist-1.0.tar.xz"
DESCRIPTION="full-strength general purpose cryptography library (including SSL and TLS)"
HOMEPAGE="https://www.openssl.org/"
SRC_URI="mirror://openssl/source/${MY_P}.tar.gz
bindist? (
mirror://gentoo/${BINDIST_PATCH_SET}
https://dev.gentoo.org/~whissi/dist/openssl/${BINDIST_PATCH_SET}
)
!vanilla? (
mirror://gentoo/${PATCH_SET}.tar.xz
https://dev.gentoo.org/~chutzpah/dist/${PN}/${PATCH_SET}.tar.xz
https://dev.gentoo.org/~whissi/dist/${PN}/${PATCH_SET}.tar.xz
https://dev.gentoo.org/~polynomial-c/dist/${PATCH_SET}.tar.xz
)"
LICENSE="openssl"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~x86-linux"
IUSE="+asm bindist gmp kerberos rfc3779 sctp cpu_flags_x86_sse2 sslv2 +sslv3 static-libs test +tls-heartbeat vanilla zlib"
RESTRICT="!bindist? ( bindist )
!test? ( test )"
RDEPEND=">=app-misc/c_rehash-1.7-r1
gmp? ( >=dev-libs/gmp-5.1.3-r1[static-libs(+)?,${MULTILIB_USEDEP}] )
kerberos? ( >=app-crypt/mit-krb5-1.11.4[${MULTILIB_USEDEP}] )
zlib? ( >=sys-libs/zlib-1.2.8-r1[static-libs(+)?,${MULTILIB_USEDEP}] )"
DEPEND="${RDEPEND}"
BDEPEND="
>=dev-lang/perl-5
sctp? ( >=net-misc/lksctp-tools-1.0.12 )
test? (
sys-apps/diffutils
sys-devel/bc
)"
PDEPEND="app-misc/ca-certificates"
S="${WORKDIR}/${MY_P}"
MULTILIB_WRAPPED_HEADERS=(
usr/include/openssl/opensslconf.h
)
src_prepare() {
if use bindist; then
mv "${WORKDIR}"/bindist-patches/hobble-openssl "${WORKDIR}" || die
bash "${WORKDIR}"/hobble-openssl || die
cp -f "${WORKDIR}"/bindist-patches/ec_curve.c "${S}"/crypto/ec/ || die
cp -f "${WORKDIR}"/bindist-patches/ectest.c "${S}"/crypto/ec/ || die
eapply "${WORKDIR}"/bindist-patches/ec-curves.patch
# Also see the configure parts below:
# enable-ec \
# $(use_ssl !bindist ec2m) \
# $(use_ssl !bindist srp) \
fi
# keep this in sync with app-misc/c_rehash
SSL_CNF_DIR="/etc/ssl"
# Make sure we only ever touch Makefile.org and avoid patching a file
# that gets blown away anyways by the Configure script in src_configure
rm -f Makefile
if ! use vanilla ; then
eapply "${WORKDIR}"/patch/*.patch
fi
eapply_user
# disable fips in the build
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
sed -i \
-e '/DIRS/s: fips : :g' \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:='${EPREFIX}'/usr/share/man:') \
Makefile.org \
|| die
# show the actual commands in the log
sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
# since we're forcing $(CC) as makedep anyway, just fix
# the conditional as always-on
# helps clang (#417795), and versioned gcc (#499818)
# this breaks build with 1.0.2p, not sure if it is needed anymore
#sed -i 's/expr.*MAKEDEPEND.*;/true;/' util/domd || die
# quiet out unknown driver argument warnings since openssl
# doesn't have well-split CFLAGS and we're making it even worse
# and 'make depend' uses -Werror for added fun (#417795 again)
[[ ${CC} == *clang* ]] && append-flags -Qunused-arguments
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-1.0.2 gentoo.config || die
chmod a+rx gentoo.config || die
append-flags -fno-strict-aliasing
append-flags $(test-flags-CC -Wa,--noexecstack)
append-cppflags -DOPENSSL_NO_BUF_FREELISTS
sed -i '1s,^:$,#!'${EPREFIX}'/usr/bin/perl,' Configure #141906
# The config script does stupid stuff to prompt the user. Kill it.
sed -i '/stty -icanon min 0 time 50; read waste/d' config || die
./config --test-sanity || die "I AM NOT SANE"
multilib_copy_sources
}
multilib_src_configure() {
unset APPS #197996
unset SCRIPTS #312551
unset CROSS_COMPILE #311473
tc-export CC AR RANLIB RC
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free https://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired https://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 https://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired https://en.wikipedia.org/wiki/MDC-2
# RC5: Expired https://en.wikipedia.org/wiki/RC5
use_ssl() { usex $1 "enable-${2:-$1}" "no-${2:-$1}" " ${*:3}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
# See if our toolchain supports __uint128_t. If so, it's 64bit
# friendly and can use the nicely optimized code paths. #460790
local ec_nistp_64_gcc_128
# Disable it for now though #469976
#if ! use bindist ; then
# echo "__uint128_t i;" > "${T}"/128.c
# if ${CC} ${CFLAGS} -c "${T}"/128.c -o /dev/null >&/dev/null ; then
# ec_nistp_64_gcc_128="enable-ec_nistp_64_gcc_128"
# fi
#fi
# https://github.com/openssl/openssl/issues/2286
if use ia64 ; then
replace-flags -g3 -g2
replace-flags -ggdb3 -ggdb2
fi
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
# Fedora hobbled-EC needs 'no-ec2m', 'no-srp'
# Make sure user flags don't get added *yet* to avoid duplicated
# flags.
CFLAGS= LDFLAGS= echoit \
./${config} \
${sslout} \
$(use cpu_flags_x86_sse2 || echo "no-sse2") \
enable-camellia \
enable-ec \
$(use_ssl !bindist ec2m) \
$(use_ssl !bindist srp) \
${ec_nistp_64_gcc_128} \
enable-idea \
enable-mdc2 \
enable-rc5 \
enable-tlsext \
$(use_ssl asm) \
$(use_ssl gmp gmp -lgmp) \
$(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
$(use_ssl rfc3779) \
$(use_ssl sctp) \
$(use_ssl sslv2 ssl2) \
$(use_ssl sslv3 ssl3) \
$(use_ssl tls-heartbeat heartbeats) \
$(use_ssl zlib) \
--prefix="${EPREFIX}"/usr \
--openssldir="${EPREFIX}"${SSL_CNF_DIR} \
--libdir=$(get_libdir) \
shared threads \
|| die
# Clean out hardcoded flags that openssl uses
local DEFAULT_CFLAGS=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
-e 's:^CFLAG=::' \
-e 's:\(^\| \)-fomit-frame-pointer::g' \
-e 's:\(^\| \)-O[^ ]*::g' \
-e 's:\(^\| \)-march=[^ ]*::g' \
-e 's:\(^\| \)-mcpu=[^ ]*::g' \
-e 's:\(^\| \)-m[^ ]*::g' \
-e 's:^ *::' \
-e 's: *$::' \
-e 's: \+: :g' \
-e 's:\\:\\\\:g'
)
# Now insert clean default flags with user flags
sed -i \
-e "/^CFLAG/s|=.*|=${DEFAULT_CFLAGS} ${CFLAGS}|" \
-e "/^LDFLAGS=/s|=[[:space:]]*$|=${LDFLAGS}|" \
Makefile || die
}
multilib_src_compile() {
# depend is needed to use $confopts; it also doesn't matter
# that it's -j1 as the code itself serializes subdirs
emake -j1 V=1 depend
emake all
# rehash is needed to prep the certs/ dir; do this
# separately to avoid parallel build issues.
emake rehash
}
multilib_src_test() {
emake -j1 test
}
multilib_src_install() {
# We need to create $ED/usr on our own to avoid a race condition #665130
if [[ ! -d "${ED}/usr" ]]; then
# We can only create this directory once
mkdir "${ED}"/usr || die
fi
emake INSTALL_PREFIX="${D}" install
}
multilib_src_install_all() {
# openssl installs perl version of c_rehash by default, but
# we provide a shell version via app-misc/c_rehash
rm "${ED}"/usr/bin/c_rehash || die
local -a DOCS=( CHANGES* FAQ NEWS README doc/*.txt doc/c-indentation.el )
einstalldocs
use rfc3779 && dodoc engines/ccgost/README.gost
# This is crappy in that the static archives are still built even
# when USE=static-libs. But this is due to a failing in the openssl
# build system: the static archives are built as PIC all the time.
# Only way around this would be to manually configure+compile openssl
# twice; once with shared lib support enabled and once without.
use static-libs || rm -f "${ED}"/usr/lib*/lib*.a
# create the certs directory
dodir ${SSL_CNF_DIR}/certs
cp -RP certs/* "${ED}"${SSL_CNF_DIR}/certs/ || die
rm -r "${ED}"${SSL_CNF_DIR}/certs/{demo,expired}
# Namespace openssl programs to prevent conflicts with other man pages
cd "${ED}"/usr/share/man
local m d s
for m in $(find . -type f | xargs grep -L '#include') ; do
d=${m%/*} ; d=${d#./} ; m=${m##*/}
[[ ${m} == openssl.1* ]] && continue
[[ -n $(find -L ${d} -type l) ]] && die "erp, broken links already!"
mv ${d}/{,ssl-}${m}
# fix up references to renamed man pages
sed -i '/^[.]SH "SEE ALSO"/,/^[.]/s:\([^(, ]*(1)\):ssl-\1:g' ${d}/ssl-${m}
ln -s ssl-${m} ${d}/openssl-${m}
# locate any symlinks that point to this man page ... we assume
# that any broken links are due to the above renaming
for s in $(find -L ${d} -type l) ; do
s=${s##*/}
rm -f ${d}/${s}
ln -s ssl-${m} ${d}/ssl-${s}
ln -s ssl-${s} ${d}/openssl-${s}
done
done
[[ -n $(find -L ${d} -type l) ]] && die "broken manpage links found :("
dodir /etc/sandbox.d #254521
echo 'SANDBOX_PREDICT="/dev/crypto"' > "${ED}"/etc/sandbox.d/10openssl
diropts -m0700
keepdir ${SSL_CNF_DIR}/private
}
pkg_postinst() {
ebegin "Running 'c_rehash ${EROOT}${SSL_CNF_DIR}/certs/' to rebuild hashes #333069"
c_rehash "${EROOT}${SSL_CNF_DIR}/certs" >/dev/null
eend $?
}

BIN
dev-python/Manifest.gz

1
dev-python/diff-match-patch/Manifest

@ -1 +1,2 @@
DIST diff-match-patch-20121119.tar.gz 54113 BLAKE2B 0fcfa46f02f92af0e31ded7c51c651574104fb4d7d70082873981138579b12231dea0eee417614981a96f7ceaa50b288fefdbc21dca687451095dcdc34fe32f8 SHA512 3daff80a6043a0413c515125a21839d9fa1d71f7e2441f4870ebefed35f1accea711814ad231c65de0e3468bbd01402c977fc063ab120b7d9f0e04ef555a8207
DIST diff-match-patch-20181111.tar.gz 58554 BLAKE2B 2a74294bb9ac88447cdea794a9c3b44d705d93f7e0777d5e5ece4a306f43df47458a4ba0ec8b16624862a6e4540a605695c3a83ee7dad7749b22210ebe65705a SHA512 9b21726b9c0e350553533c14dd86cca823c6f98ab642e7166cf9348952a57b62bcb0576e3d6a3b76655ea1bcc8cef3fe7f33ffb068b5a4bfb4b4b521042484e6

18
dev-python/diff-match-patch/diff-match-patch-20181111.ebuild

@ -0,0 +1,18 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} pypy )
inherit distutils-r1
DESCRIPTION="Diff, match and patch algorithms for plain text"
HOMEPAGE="https://pypi.org/project/diff-match-patch/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
distutils_enable_tests pytest

1
dev-python/grpcio-testing/Manifest

@ -8,3 +8,4 @@ DIST grpcio-testing-1.22.1.tar.gz 16718 BLAKE2B c90717c5910be42a161fd08746b898a6
DIST grpcio-testing-1.23.0.tar.gz 17042 BLAKE2B 42eeaf657355c569dd62e0acdad99449b2d70d725f493a727168314ca8f4a8016b3a39521b8796cc6160472e455385004079857ed88e796c964304d99b5361e4 SHA512 3eb370f5a6568a22a87c72c8bad1c4ae537d36b19fa45039620dc3ae645561bd4836cd430fdf6f64a7687178412c4a2e51fb6474d470039e310f639f86c351f3
DIST grpcio-testing-1.24.3.tar.gz 17066 BLAKE2B 9f968ce096b70d7b3a01d9991d2dbd70aa73cb39dce4ea1aeb36e65f6e33180b0e7d126c18029da6cb1c91bb4371206cd3481ddaf0014c24e463014d6e990a08 SHA512 265369f696ecc5e3fff35027d951c405e62e7c8ac61145813d7eca66db6e91d0ebfc39ef151cedd9c67437688898bde02656fdbd547718443f2701ab18e68a1b
DIST grpcio-testing-1.25.0.tar.gz 16469 BLAKE2B 00bf64f79c073b2bce8bac519555ffecf4701f5d99d58bf15fb5a12acc71639b014986e4699f8ce8e0c68606ee6582c7d214474e88120a51495b61a7e03f2612 SHA512 11531ff2dc58f3ed7eba4ef3160dca475a5dbe76ff6570337005e7c3e276a6e7efe33556151fb263c209eac2bba1efb7ab611744405ab97eafb78edb07476240
DIST grpcio-testing-1.26.0.tar.gz 17018 BLAKE2B 5747cef7d45ebd5deb0f86537fde2994ec7d4b0eb94cfbbfd3f9ad869e43a549d7a289477f76fc87d0c72a3a232bb643aa64c97e2ce3cc80ccb18368b276befb SHA512 7fae8c2e5dce79562005ae0c5e779e8ff157e245d849b573376aa36cc98fc6efa126f2aeed9431d2c41535ffbbac017ce69d83b5fffaf7f75b5493e778e8caf9

22
dev-python/grpcio-testing/grpcio-testing-1.26.0.ebuild

@ -0,0 +1,22 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} )
inherit distutils-r1
DESCRIPTION="Testing utilities for gRPC Python"
HOMEPAGE="https://grpc.io"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
RDEPEND="~dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
dev-python/protobuf-python[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
"

1
dev-python/grpcio-tools/Manifest

@ -8,3 +8,4 @@ DIST grpcio-tools-1.22.1.tar.gz 2022553 BLAKE2B bd94ece55c5e9e41c923c1beb5a2deb2
DIST grpcio-tools-1.23.0.tar.gz 2025916 BLAKE2B 7dc3854e29731f7736ef08526142e31e9b14df2b08367cddc9dd69a0b5ebb53938a9a24284e5228fd603402960507d7903eb7a6c90a1243ed311cd595eda0f26 SHA512 306e1de073bffd036643dee6fdaf8c2f48cf810fc4403b02a5b2aa44ba77d8c985181b23ec20d787261786b1c6e4930f8e5a253752da95beeb257ff0555175cb
DIST grpcio-tools-1.24.3.tar.gz 1984292 BLAKE2B f9ec935f0ea8af31ac5f60909551efc403241917879fb456ea88ac3fc58cd068f0263726819f0e6500d6ca11ae38cd1799db6af4d4f822002d92fe7a16d01060 SHA512 89d12beadead3c68532a769795446a9edca96be495ea2af42bf1934e86cc06d06fc345f7847b17a088d66a2c4390461533be075a93e3d5c255c625da097812ab
DIST grpcio-tools-1.25.0.tar.gz 1987671 BLAKE2B 3f5d0a7927e8d10a3951d494884fcfbbc9bf531ca3e63324a1c4923eea47065f3db665f26f968e778bcea418cc6b801bd1c863ed2ead1aaa123205a4ac6a97f7 SHA512 9f17e1641766537002e595e660e384dab54c5c36f17b2f085348392171bcbcaacbb0a55f77ba6eba50603faef59c5436c784b6c1a0de96597d7701e1bf82710f
DIST grpcio-tools-1.26.0.tar.gz 1990162 BLAKE2B 3f07f5d5be14851a3df276865b9a4d93222f0d4bb95610600ac56efa268e46225c2095d7112612296649bb48afb53a35b73febb3b379f05ea061e269c3546f03 SHA512 d1780a0103b531cc4416b4524c77bd96ab6aac3c081a8ba8c402c10909eb3945d9a3caf4ecc8f9f9c8ae216958405bb98fe1b1874af46407084ed3a65128e105

28
dev-python/grpcio-tools/grpcio-tools-1.26.0.ebuild

@ -0,0 +1,28 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} )
inherit distutils-r1 multiprocessing
DESCRIPTION="Protobuf code generator for gRPC"
HOMEPAGE="https://grpc.io"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
RDEPEND="dev-python/cython[${PYTHON_USEDEP}]
~dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
dev-python/protobuf-python[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
"
python_configure_all() {
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
}

1
dev-python/grpcio/Manifest

@ -8,3 +8,4 @@ DIST grpcio-1.22.1.tar.gz 13923342 BLAKE2B 6d211b93a7597f568d106e0d6e3d30b90d7b4
DIST grpcio-1.23.0.tar.gz 13977223 BLAKE2B b9f95aaf397eae9610280937980e4b2694af98e6cd5f80015dd83c67ec6bf9c41e76474f873627d6c6cc35fe9af3b45f14aabb6ea809b51cf5f0bb0f3b702794 SHA512 ff3cd9d2380a158ea7a49ba2c9cd5bd1ec98194aa48cf2d45596ab93f0e8a6d6ed0291e5dfc52bca79c62950e6a0ce387819d19f036c0dd1e6dc7b737c1ee97f
DIST grpcio-1.24.3.tar.gz 14030592 BLAKE2B aa9e61c692937d7fc06d0fb601f7632a6ac5fb165aabec9e7993cf1fa41254b004fff89f650f390544e5fb1972dca542169ce0fdae79a71d775fe3cbb44a2d95 SHA512 0dc90de5a06b9af7fa91d3e96117f69813e5fee31499e8e48daac7d164856594f164a434d3dd28d6e0220e417926aadceabb9b7597e86a6bb87d8943e6661dce
DIST grpcio-1.25.0.tar.gz 15358518 BLAKE2B 84ae22faa25dcd961c5cd0e6db68c48df4b64a529673d729436710e0fa08dd6119304dc7905f46ce4f92e6bccbbb05068d7fa04da4c579a1d59c4717623807bc SHA512 bb0241905bad15d6bd019323f1699b95f7cd047aec227197aed9f0bfbca923788fbf59052ab604718542ad69767877560853ef563613ea0490cee2e9f9e9206d
DIST grpcio-1.26.0.tar.gz 15406206 BLAKE2B 4a9031e1d9e9285d1c1ee90396ae339a47715fa2c279f5bce517e3ea02bdc755e3044e3e402f73b3d797a6b1415f58396097a55ba16200c7f9d4569b0b159fe3 SHA512 df3b6787449c202f3e70640907c76231dbbeb6b411167300ba8a53c17f7d45ffa513a81046a4a66a368f2c17c2d57a48a07cb236f44a005e4073bd5d8aa3865c

38
dev-python/grpcio/grpcio-1.26.0.ebuild

@ -0,0 +1,38 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7,8} )
inherit distutils-r1 multiprocessing
DESCRIPTION="High-performance RPC framework (python libraries)"
HOMEPAGE="https://grpc.io"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
RDEPEND=">=dev-libs/openssl-1.0.2:0=[-bindist]
>=dev-python/cython-0.28.3[${PYTHON_USEDEP}]